Page MenuHomePhabricator

Promote "Wikimedia Developer Support" in the current channels where developer support is provided
Closed, ResolvedPublic

Description

Once there is a committed timeline for T180853: Bring a discourse instance for technical questions to production , https://discourse-mediawiki.wmflabs.org/ must be well promoted in the channels where developer support is provided currently.

Some ideas from https://phabricator.wikimedia.org/T194951#4400005

  • Would we link to discourse from many/most/all extension-talkpages? wikitech? etc? templates & gadgets pages? Many potential scope options.
  • Adoption, Visibility, Chat plugins, Advertise at Support Desk,
  • Banner/template in mediawiki.org for use on talkpages where desired
  • Encourage WMF staff to ask questions?
    • talked to Corey, PE program, he's getting support for doc-writing,

Event Timeline

Qgil triaged this task as Normal priority.Dec 27 2018, 3:55 PM
Qgil created this task.
Tgr added a comment.Dec 28 2018, 2:56 AM

See also Promoting this communication channel on Discourse, which has more potential channels. Also the tangentially related Identifying and inviting top contributors of other support channels.

I would also add WMDE staff to the description, given their efforts in devs areas.

Aklapper changed the task status from Open to Stalled.Dec 28 2018, 5:31 PM

Setting task status to stalled as per "Once there is a committed timeline". T180853 might be set as a dependency for this task?

Qgil added a comment.Dec 30 2018, 8:00 PM

Setting task status to stalled as per "Once there is a committed timeline".

Mmm your call, although there is nothing stopping us to start working on this task.

T180853 might be set as a dependency for this task?

As long as we understand that such promotion will start before the site goes to production...

srishakatux closed this task as Resolved.Thu, Aug 22, 10:02 AM

(we can re-open this task if/when there are plans to promoting it further)